# This Repo Has Moved

This repo has moved to: https://github.com/team-arrow-racing/steering-wheel-controller

# Steering Wheel

## Requisites

- Rust
- ARM Toolchain (for debugging)
- OpenOCD (for debugging)

## Setup

```shell
# Add cross-compilation target
rustup target add thumbv7em-none-eabihf
# Install probe-run
cargo install probe-run
```

On Linux you may need to configure your udev rules to allow running without root.

## Running

The following will compile, flash and debug the program.

```shell
DEFMT_LOG=info cargo run
```

## References

- [Real-Time Interrupt-driven Concurrency Framework](https://rtic.rs/1/)
- [defmt](https://defmt.ferrous-systems.com/)
- [probe-run](https://github.com/knurling-rs/probe-run)
- [Rust HAL Documentation](https://docs.rs/stm32l4xx-hal/latest/stm32l4xx_hal/)
- [RM0394 Reference Manual for STM32L41xxx/42xxx/43xxx/44xxx/45xxx/46xxx](https://www.st.com/resource/en/reference_manual/dm00151940-stm32l41xxx42xxx43xxx44xxx45xxx46xxx-advanced-armbased-32bit-mcus-stmicroelectronics.pdf)

## About Team Arrow

Team Arrow Racing Association is a volunteer organisation that designs, develops and races world-class solar powered vehicles. This repository is part of our endevour to build in the open and make our learnings accessible to anyone.

You can find our more about Team Arrow on [our website](https://www.teamarrow.com.au/).
